
Redmine - Feature #1609

Add Ruby 1.8.7 Support

2008-07-09 17:16 - Matthew Williams

Status: Closed Start date: 2008-07-09

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

With the recent exploits found in Ruby and other additions to 1.8.7 I think it would be extremely beneficial to get Redmine working

with 1.8.7 as many hosts will soon be making the upgrade and breaking a lot of instances.  I'm forced to downgrade my instance of

Ruby on a particular box just to run Redmine.

History

#1 - 2008-07-09 19:19 - Jean-Philippe Lang

Did you test current trunk ?

It passes tests with ruby 1.8.7 + rails 2.1. Please report any compatibility problem.

#2 - 2008-07-10 01:54 - Liwiusz Ociepa

Well. I have redmine 0.7.3 on ruby 1.8.7 and it works ok with patched rails 2.0.2.

There is only one thing changed:

Change truncate in actionpack-2.0.2/lib/action_view/helpers/text_helper.rb to:

      def truncate(text, length = 30, truncate_string = "...")

        if text.nil? then return end

        l = length - truncate_string.length

        if $KCODE == "NONE" 

          text.length > length ? text[0...l] + truncate_string : text

        else

          chars = text.split(//)

          chars.length > length ? chars[0...l].join + truncate_string : text

        end

      end

 That fix can be found somewhere here (issues or board ;)

#3 - 2008-07-24 18:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Trunk is full compatible with ruby 1.8.7.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

http://www.tcpdf.org

